Update a Prompt

📘

Supported Regions and Base URLs

👍

Access and Registration

Authentication

Body Request - Example

{
  "request_id": "54awe23gby74rfsdcvbq21asd",
  "name": "Welcome",
  "file_name": "test.mp3",
  "description": "this is test"
}

Scope

prompts:write

Body Response - Schema

201 (the newly created prompt)

ParameterTypeDescriptionRequired
idstringthe ID of the promptyes
namestringthe prompt nameyes
descriptionstringthe prompt descriptionyes
typestringthe prompt type Allowed values: asset, tts, urlyes
asset_idstringasset IDyes
created_atstring<date-time>the date when the prompt was createdno
created_bystringthe user who created the promptno
created_user_namestringthe username of the person who created the promptno
updated_atstring<date-time>the date when the prompt was updatedyes
updated_bystringthe user who updated the promptyes
updated_user_namestringthe username of the person who updated the promptno
_linksobject

HAL API-related links. "_links" subdivides into:

1 - "self" (object) - link to fetch the details of the prompt
1.1 - "href" (string) - address of the resource

2 - "download_link" (object) - link used to generate a download link (available only when published or archived states).
2.1 - "href" (string) - download link generation address.

yes

400 (validation constraint violation), 401 (unauthorized access - invalid or unverifiable JWT), 403 (forbidden), 404 (prompt not found), 409 (Prompt naming conflict; already has a prompt with this name)

ParameterTypeDescriptionRequired
codestringn/ayes
messagestringn/ayes
descriptionstringn/ano
fieldsarray[object]

"fields" subdivides into:

"name" (string)

"description" (string)

yes (name and description)
🚧

Troubleshooting

If you have any questions regarding the usage of this API, or if you’re having any technical issues, please open a ticket using this form.

Path Params
string
required
Body Params
string
required
string
required
string
required
string
required
Headers
string
required
Responses

Language
Credentials
Header
Request
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json